Bug 739315 - Alternative Status Menu extension triggers st_widget_get_theme_node() assertion
Alternative Status Menu extension triggers st_widget_get_theme_node() assertion
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
abrt_hash:7651ff7d2ef4bde64a312de0b57...
: Reopened
: 756469 757453 758182 759102 759671 759730 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-17 09:59 EDT by Charles R. Anderson
Modified: 2014-02-05 06:49 EST (History)
54 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 06:49:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: dso_list (20.08 KB, text/plain)
2011-09-17 09:59 EDT, Charles R. Anderson
no flags Details
File: maps (79.09 KB, text/plain)
2011-09-17 09:59 EDT, Charles R. Anderson
no flags Details
File: backtrace (64.62 KB, text/plain)
2011-09-17 09:59 EDT, Charles R. Anderson
no flags Details
File: backtrace (60.20 KB, text/plain)
2012-01-11 21:25 EST, Bruno Martins
no flags Details
File: backtrace (71.62 KB, text/plain)
2012-01-11 21:27 EST, Bruno Martins
no flags Details
File: backtrace (64.91 KB, text/plain)
2012-03-20 04:05 EDT, Gushchin Andrey
no flags Details
My crash log :) (3.58 KB, text/x-log)
2012-04-25 12:38 EDT, Douglas Furlong
no flags Details
File: backtrace (50.36 KB, text/plain)
2012-04-26 21:57 EDT, justafedorauser
no flags Details
File: backtrace (43.32 KB, text/plain)
2012-05-11 14:07 EDT, jonathan.eidsness
no flags Details

  None (edit)
Description Charles R. Anderson 2011-09-17 09:59:23 EDT
abrt version: 2.0.5
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
comment:        Enable gnome-shell extension Alternative Status Menu Extension
crash_function: st_widget_get_theme_node
executable:     /usr/bin/gnome-shell
kernel:         3.1.0-0.rc6.git0.1.dmcrypt.fc16.x86_64
reason:         Process /usr/bin/gnome-shell was killed by signal 5 (SIGTRAP)
time:           Fri Sep 16 23:44:38 2011
uid:            10002
username:       cra

backtrace:      Text file, 66174 bytes
dso_list:       Text file, 20565 bytes
maps:           Text file, 80990 bytes

build_ids:
:7343d35696ce251688ece0a26e457e61ca805cfd
:15402f7d79713d8af38894830714542c7c889e44
:aaf7ed41612348bd1141db06cadd428244aa6ea5
:934bb835b5075f81fdfb713b49281ce9aaf49f59
:1faa4e1b0ae67bd30ee556f4f196d3849982ed68
:ae4bf5403a831e9fe1cee0b0f0983ea5e47d9424
:89017ab0b75e533e4294f74ee8f7db3daceea536
:e3c88cb9ea428bd61f4064dbd53acae2d396a1ec
:9fcba39a4568a62204fc15ef0578380d559f3487
:5e8c36ca13a4af14fa6b1b45a0dbfb43ed6aed6e
:d0c6e13f00a20952a72a945c929efb175fd760e3
:a594ab36356a9b6dc6ecf25a6124463ccbfd0a29
:17ef36c4f4e8918b9ab1c2e3eaca7c9b584ad5cb
:edebfad67bdac472272d049dc7ec302f47b02f32
:44ece411beb2ef1acdb5eb2161666de41cc2f31d
:3f156a456c851b3b5d4b35bb367d55c4a5f57220
:aaf62304b0fc10611d35b4f56005479d4c58868d
:8acc43df965b3c0a70dcfad11c0ade056bdb055b
:cc32e70895d23acd7bde1ef1a3286b5e179e2d49
:7994f114cf7189e482f2665fae8e351ed8bc05e3
:7762c78485b68b8776231a06ef64474f34552a44
:400444fb368f79b54959b083f449a1497bf71c13
:376567a97a463859c28334ed8bf71262183298c2
:83fd1ef1b856a64c7772aa364b1b1f59c046f538
:6bd1330e8e4169846204992730118658bd4358ba
:4953d1f613914126bccceb3cb96386647ffba9df
:51d12f84a05395827b0ca5eacba3836455450042
:0e6282316ef2785af671bcdb223c7c4c5c086dc8
:7ddde233293b60ff6de1dabd78d95aa43e47fc23
:52ac0ab0307f72d8685822e2bf94e44c59de52b1
:e81e108ee1e9f0fca2ef39f5d0517483c78ae650
:318d12fc0b555c9fc4d48397b60829fef7759fb3
:91689252818532ec13597b6528d38be93b2706c4
:3dd00a31cf09e7d59a58bbcf0750e12401a23e53
:8f67d98055710ecee30969d88bf63d2c07332387
:25b5f82947a559fdceea6080cb0df11fd52d4f38
:868d1b836b2ca8c456171d528d6eeb76da1e1cbb
:ff9917a4607f469e2cf236e226ad9b03b7720f62
:9ea81971c14b711655ced0a734db062ab7c4eec7
:d440afe7396b3365dcb935f9bf7f2fb28f3839de
:5df361c26dcd06bc301db9bf05251f4f743f8a51
:5cb5f8da286abd58aeab3bd6676e661d52ec2b5d
:9afa4a71f0f6a189e8dcf1179b9445a81df0ab28
:08a9b31a0a4ae6745cc3c8f4b7bd5b1d14084607
:8a0fa3bfb978840f3ef69f5304550a52af424cdf
:e045ea1e1a7ca7dcef670a7ee4dbcfaf77949074
:e21d62a3622c3edb824299d83be75df8fdddbe53
:1f94f1fd8a8c43e37d0ae19299874277826f912d
:8ca893c2cf400317322477c03e6b754bd2533a3a
:eacb8020c70b5844d07665eeb30f91e924a92bb2
:4068a212f3244ede26da4f92bc190ff4e2b9e8dc
:2b9f922b148d00dba2809849e22f96758963bc24
:a2748a35d28f083d729359d9c06bc85158408ee3
:e2b3a06990e95933b6c8b6a014508f4d9f94a22c
:353a61c264385b7feec38c9e34040aa9bc615d6a
:6489fb034cf0a08cc566170a702403c64caddf29
:4b01fe6e705219deca2756ff0720d52ec81b4c87
:f417b25f83a1b878b1a8965478a7eecf0344eaca
:dfc1b11c1ced5c134adca2b29874a41f39f0eeaf
:48aea888319e1848137073c9cbde54a4c2a731c9
:4684662811a800eb597f106b8614902c24974668
:f5c5b66226da1a1365a97397b1143bebf777b7b6
:c1f034e216940c41dbe23880c3400ef9cffae35d
:be507c791e34415e8f42f0e6030c889b2895cf9a
:0fccce2fdb46650674ef5b64fae5f25f14c88e08
:29c869a877c1ceade9538f84f5ec70c3901b66b3
:b967cd759e60040c1e0c6457e5a388ed4bbf769f
:331c456bb90552fc46f3ed0d7de100038ee76a9e
:022da052975093368daac7c4e8e95101bfc78495
:41103f68dea0111b699190725f3cb76d851e965f
:3e08f14ed2767ff642c7477a25b63214050e42cb
:0d1dbd19a8bd1fde6bc3c9929dff82c6457b6430
:51b8821c49eb1c9f2507aeb186a60ca79bd5efe9
:d210ac3e31d441164b11c558c7c641799394e1d7
:cee7ad3a544eb300ed6217f824ab42e0ab61c0f8
:1b58e61da80f175b1d9293f61fcfd52ebd8c84df
:5191ac21aa089b176402034fe00f04c768039132
:e98a4ecd75128a0ec734ef14699d2b02d5d63f6d
:32eeba9032ecead38442bdf6328d89464a151a7e
:ff799148e3082e0a0f8c5d1d5cfd88a49f60e457
:ccadad4ec7dab3bb6abc23f9d4cdf53ff01cb235
:98fa95d21e16075ada6df19748c6c133ee9165d0
:3d0cbe614dedcba0c51969d216cf8466f9f7f1d5
:833cefdbe78dd9dcfb9bd2e4648cbc26618432f1
:0ce9819eb7014de7e72eec40979dd5e4d6566dca
:baa8b6700debb4a3b6fa10e629b5eccdf234a1fd
:d8888c5d08a82c49d790c7e4d9e622dd561f71be
:6f5b5579699fee1fb2cfe001a562fa3afa4100e5
:ea16e6140d0a62875a7ce7a908ddd843792531e9
:4b747dd3312cecbadb71914273990cce1a849421
:3d9d5733cf175b3ece2ab094a5cc8ebe6a17cf48
:96d618421416810fa0d3e21ea427d5b1e63ad6f2
:d98effe16005167bb9e025c7a945702c35e4f1dc
:36a149d1e2c29890b616402f6bc5e3f69ca2738e
:c6739204320eb15bdcdba039a2b183298170403e
:353eda72c34b933069faf81f463309466e8df504
:7744333b524f760d9832cc7df347e6f71eb01344
:c8a4e40c84c2f52e78c64d31efc0191c565a9049
:7109859fdd4912a7b36eea239079fd72b5575d18
:25b834f4c4dc534708635ff1064e2fe02a366a62
:63836926ac1e2ef5ad69b01ebb7566509807a5c7
:163b323da65b708418226eb5fa8b057c731d1475
:4a7e68edf2778a9fbd3d4a8fbd3f9d1e7b785fc6
:0911ea7c180d733724f89037b8e8a34e64024aec
:9aabc15ac6aca3fc55beaaea9495f6bb476e79b3
:6502dd4813f98137c70e6e05cc43828f5c2263c1
:e493f64d55b64463ec7f682ecde0ff6791d2df3c
:1fe22c9474e53d739e9a59315904a30c2352e553
:4c842320387ff7f6f91b7842b223c16518be909f
:f326fadd84a9a6cffbd3a9fc374bbb3c00c74045
:1f354e57321e736e3ae6f1e1de74f0161acfa72b
:9fd35565043bc57e1d8bf70810b7c6b402a9be93
:ef25f71a40ad1a00ed1040a09ace53d1bb40f2ab
:09dbc3365e94ff510726564aaff0a38dfc7431af
:bf3f9f4e254e40989541b175de9fda4e0dc9dbd1
:5247a7f9a168452af14f0cb565c9260ff91c226b
:99745aea093d045c4540ad54749678081eb09af8
:c2d49d72ec1a1e68b39c3724693f83f44d80a259
:8b10ac09ad352d23f5f584a3a879945afc1dc8fd
:b092238efe70555aea56f2dd242b7c0fe06d29b6
:3afcef19b83b4d703cf89db41982aabaa2d1618b
:b77200bf76fd8c69a30220dd6709b244b215e829
:0628928692f36cca1aebd730bc231b065a9f89d1
:a04037d7b0fb8c0851acf4c6bf5bd7fa8e917718
:a809607595afde62f7e128e169b725a87b70727c
:4d5437cf71ea3e4bac1c445da58ca7897d509d15
:1c6a95451ee19617be5abea3d121f0226d21ddda
:7bbfb800a135621dd682de6ef0cc5b2f2c879007
:1c7c9e074ea8e4301b651045c31fffcec05ff376
:f9b1e71fe8bc05bee3038044d23520ab8d74a330
:8766b181f3278d39d876c0376ba5ca7573b84304
:9e4a7e49ef4ea8212f6a69cabaae4f53e1257f37
:49b317bbb2da7be48ba3b947e23703ba6397dbf4
:8ab06555ab55cfd89106b95fa8dc3d11e1608b46
:7648e8db912690e64451b64dcf0afdc4516ef73f
:3e113d18232e9368a3d33d061ee14e221202b1cc
:1406558950ff100eb0320a325b3ea7961ba1a775
:616cdfde72c06f8e55b7ac23849c334e7d767bdb
:2b4ba01c4ea1f14506cfc1b6d47ca6a84135f5e9
:086b8d05a2fb6992634d2e22e69d7aefe16cf390
:3be6d28cb353147c5185ff70372c02ab570be6b1
:2e57f064e6b8210780051d7eeeb8531faafaee20
:4973df30501f6507f399f094614f6d430c8a1317
:8d8a048e99dfc4e3f5d605d28bf3236191d23d11
:91709dc7083204ddd936d5ad28c171985f06f66c
:1f1f426ff06629088badaeb1bdca35665280c051
:ca9735c10a2a697cade81c361e0bc4ab880df14d
:d8d0bb9fd866812d281ed632493130880018e7a1
:9b7b6a0715df308cfcee8133ca41bc0e8e67a6cf
:33001d9c43203911ccf35a2f3db5b6b2d70cb292
:b781214e6ba7f83dd8a11e7493a441b11a2f145e
:c1981362f321081ab020ebe1da49c2f067730c9a
:6d61bf0d99842ac46e0d0af6ab90bdd13cb17416
:b038838c10d38141b6ec19b40168be9caaa78286
:30c7b170ed4b1425360c727a4d3634b657ae4e60
:206a5869a7f2789e2f7c51d0175a711f51abe824
:aabfae52f2f9cd3da2a88327b8021a05bc700500
:652978274d9edf0accf8057af35746fe32ca8b1c
:01a52cb6e12319e02e4a8ae14b8fac8333c9c0ed
:b0a2d0b4c09d819887ec7d711c8cf3977a074c4f
:a518a8b1b5c3e80dee813df05e951d205d6ac48c
:26b05b6938bdc58acdb3d2a703a681587d6cf4ba
:6d72191d5fb3bf4d12cb83859e0e6261d865ee46

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=24
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:TERM=dumb
:SHELL=/bin/tcsh
:XDG_SESSION_COOKIE=34081e2ccf58a6ab0d1accf70000001e-1316231072.40294-726026672
:GNOME_KEYRING_CONTROL=/tmp/keyring-GyL7Dc
:IMSETTINGS_MODULE=none
:USER=cra
:USERNAME=cra
:DESKTOP_SESSION=gnome
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/bin:/usr/local/sbin:/sbin:/usr/sbin:/home/cra/bin:/home/cra/work/bin
:QT_IM_MODULE=xim
:PWD=/home/cra
:XMODIFIERS=@im=none
:LANG=en_US.UTF-8
:GNOME_KEYRING_PID=17893
:GDMSESSION=gnome
:SHLVL=1
:XDG_SEAT=seat0
:HOME=/home/cra
:LOGNAME=cra
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-6tAiTsDIzl,guid=2c8de1eaa452622bddede3970000902c
:WINDOWPATH=2
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/cra
:XAUTHORITY=/var/run/gdm/auth-for-cra-PlPJby/database
:HOSTTYPE=x86_64-linux
:VENDOR=unknown
:OSTYPE=linux
:MACHTYPE=x86_64
:GROUP=cra
:HOST=t
:MAIL=/var/spool/mail/cra
:HOSTNAME=t
:LS_COLORS=
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:CMD_ENV=bsd
:CVS_RSH=/usr/bin/ssh
:EDITOR=/usr/bin/nano
:XEDITOR=/usr/bin/emacs
:FTP_PASSIVE=1
:HOSTALIASES=/home/cra/.hosts
:LESS=-iMqX
:MAILHOST=smtp.wpi.edu
:NNTPSERVER=newsreader.wpi.edu
:PAGER=less
:PRINTER=none
:SHORTHOST=t
:VISUAL=/usr/bin/nano
:WWW_HOME=http://www.wpi.edu/~cra/
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/18038,unix/unix:/tmp/.ICE-unix/18038
:GPG_AGENT_INFO=/tmp/keyring-GyL7Dc/gpg:0:1
:SSH_AUTH_SOCK=/tmp/keyring-GyL7Dc/ssh
:DESKTOP_AUTOSTART_ID=1098c2f73d906f6dc8131623107232309000000180380000

smolt_data:
:
:
:General
:=================================
:UUID: d330ea7d-a7a4-439f-828a-5ebc91d97875
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5382.68
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7-2620M CPU @ 2.70GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2701
:System Memory: 7875
:System Swap: 8191
:Vendor: LENOVO
:System: 4242CTO ThinkPad T520
:Form factor: Notebook
:Kernel: 3.1.0-0.rc6.git0.1.dmcrypt.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:7247:6058:8655) pci, None, PCI/ISA, QM67 Express Chipset Family LPC Controller
:(32902:294:6058:8655) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7192:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 5
:(32902:7200:6058:8655) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:5378:6058:8654) pci, e1000e, ETHERNET, 82579LM Gigabit Network Connection
:(32902:7202:6058:8655) pci, i801_smbus, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(32902:16952:32902:4369) pci, iwlagn, NETWORK, Centrino Ultimate-N 6300 3x3 AGN
:(4480:59442:6058:8655) pci, firewire_ohci, FIREWIRE, FireWire Host Controller
:(4480:59427:6058:8655) pci, sdhci-pci, BASE, N/A
:(32902:7171:6058:8655) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7213:6058:8655) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:6058:8655) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:6058:8655) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:6058:8655) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/ssd_t-f16root / ext4 4096 4096 5160607 2754309 2492165 1310720 1112528 1112528
:/dev/sda5 /boot ext4 4096 4096 258022 203608 190501 65536 65292 65292
:/dev/mapper/ssd_t-home /home ext4 4096 4096 25803080 21781352 20470632 6553600 6390438 6390438
:

var_log_messages:
:Sep 16 23:42:52 t gnome-session[16029]: WARNING: Application 'gnome-shell.desktop' killed by signal
:Sep 16 23:42:52 t gnome-session[16029]: WARNING: App 'gnome-shell.desktop' respawning too quickly
:Sep 16 23:43:13 t gnome-session[16356]: DEBUG(+): fill: *** Launching helper 'bash -c "gnome-shell --help | grep -q gdm-mode && (gnome-shell --version | grep -q '3.1.90$' && false || true) && (mutter --version | grep -q '3.1.90$' && false || true) && /usr/libexec/gnome-session-check-accelerated"' to know if session is runnable
:Sep 16 23:43:14 t gnome-session[16356]: DEBUG(+): GsmUtil: Looking for file 'gnome-shell.desktop'
:Sep 16 23:43:14 t gnome-session[16356]: DEBUG(+): GsmUtil: found in XDG dirs: '/usr/share/gdm/greeter/applications/gnome-shell.desktop'
:Sep 16 23:43:14 t gnome-session[16356]: DEBUG(+): GsmUtil: Looking for file 'gnome-shell.desktop'
:Sep 16 23:43:14 t gnome-session[16356]: DEBUG(+): GsmUtil: found in XDG dirs: '/usr/share/gdm/greeter/applications/gnome-shell.desktop'
:Sep 16 23:43:14 t gnome-session[16356]: DEBUG(+): GsmManager: read /usr/share/gdm/greeter/applications/gnome-shell.desktop
:Sep 16 23:43:14 t gnome-session[16356]: DEBUG(+): GsmManager: adding required app gnome-shell.desktop
:Sep 16 23:43:14 t gnome-session[16356]: DEBUG(+): GsmManager:#011ID: /org/gnome/SessionManager/App1#011app-id:gnome-shell.desktop#011is-disabled:0#011is-conditionally-disabled:0
:Sep 16 23:43:16 t gnome-session[16356]: DEBUG(+): GsmAutostartApp: starting gnome-shell.desktop: command=/usr/bin/gnome-shell --gdm-mode startup-id=10413a5f7e8d0db20f13162309941076200000163560000
:Sep 16 23:43:16 t gnome-session[16356]: DEBUG(+): GsmXSMPClient:   Program = 'gnome-shell'
:Sep 16 23:43:16 t dbus-daemon[1126]: ** (polkitd:1142): DEBUG: Added authentication agent for unix-session:/org/freedesktop/ConsoleKit/Session6 at name :1.329 [/usr/bin/gnome-shell --gdm-mode], object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale en_US.UTF-8
:Sep 16 23:43:21 t gnome-session[16356]: DEBUG(+): GsmXSMPClient: IceProcessMessagesIOError on '0x122c0d0 [gnome-shell 10413a5f7e8d0db20f13162309941076200000163560000]'
:Sep 16 23:43:21 t gnome-session[16356]: DEBUG(+): GsmXSMPClient:   queuing new SaveYourself for '0x122c0d0 [gnome-shell 10413a5f7e8d0db20f13162309941076200000163560000]'
:Sep 16 23:43:21 t gnome-session[16356]: DEBUG(+): GsmXSMPClient: xsmp_finalize (0x122c0d0 [gnome-shell 10413a5f7e8d0db20f13162309941076200000163560000])
:Sep 16 23:43:26 t kernel: [36800.873891] gnome-shell[16634] trap int3 ip:3b1284d333 sp:7fff105d7f60 error:0
:Sep 16 23:43:26 t abrt[16747]: saved core dump of pid 16634 (/usr/bin/gnome-shell) to /var/spool/abrt/ccpp-2011-09-16-23:43:26-16634.new/coredump (139534336 bytes)
:Sep 16 23:43:27 t gnome-session[16565]: WARNING: Application 'gnome-shell.desktop' killed by signal
:Sep 16 23:43:27 t dbus[1126]: [system] Rejected send message, 2 matched rules; type="method_return", sender=":1.0" (uid=0 pid=1030 comm="/usr/sbin/bluetoothd -n ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.355" (uid=10002 pid=16750 comm="/usr/bin/gnome-shell ")
:Sep 16 23:43:27 t dbus-daemon[1126]: dbus[1126]: [system] Rejected send message, 2 matched rules; type="method_return", sender=":1.0" (uid=0 pid=1030 comm="/usr/sbin/bluetoothd -n ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.355" (uid=10002 pid=16750 comm="/usr/bin/gnome-shell ")
:Sep 16 23:43:27 t dbus-daemon[1126]: ** (polkitd:1142): DEBUG: Added authentication agent for unix-session:/org/freedesktop/ConsoleKit/Session7 at name :1.357 [/usr/bin/gnome-shell], object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale en_US.UTF-8
:Sep 16 23:43:27 t kernel: [36802.084650] gnome-shell[16750] trap int3 ip:3b1284d333 sp:7fff66acba60 error:0
:Sep 16 23:43:27 t abrt[16782]: not dumping repeating crash in '/usr/bin/gnome-shell'
:Sep 16 23:43:28 t gnome-session[16565]: WARNING: App 'gnome-shell.desktop' respawning too quickly
:Sep 16 23:43:28 t gnome-session[16565]: WARNING: Application 'gnome-shell.desktop' killed by signal
:Sep 16 23:43:39 t gnome-session[16837]: DEBUG(+): fill: *** Launching helper 'bash -c "gnome-shell --help | grep -q gdm-mode && (gnome-shell --version | grep -q '3.1.90$' && false || true) && (mutter --version | grep -q '3.1.90$' && false || true) && /usr/libexec/gnome-session-check-accelerated"' to know if session is runnable
:Sep 16 23:43:40 t gnome-session[16837]: DEBUG(+): GsmUtil: Looking for file 'gnome-shell.desktop'
:Sep 16 23:43:40 t gnome-session[16837]: DEBUG(+): GsmUtil: found in XDG dirs: '/usr/share/gdm/greeter/applications/gnome-shell.desktop'
:Sep 16 23:43:40 t gnome-session[16837]: DEBUG(+): GsmUtil: Looking for file 'gnome-shell.desktop'
:Sep 16 23:43:40 t gnome-session[16837]: DEBUG(+): GsmUtil: found in XDG dirs: '/usr/share/gdm/greeter/applications/gnome-shell.desktop'
:Sep 16 23:43:40 t gnome-session[16837]: DEBUG(+): GsmManager: read /usr/share/gdm/greeter/applications/gnome-shell.desktop
:Sep 16 23:43:40 t gnome-session[16837]: DEBUG(+): GsmManager: adding required app gnome-shell.desktop
:Sep 16 23:43:40 t gnome-session[16837]: DEBUG(+): GsmManager:#011ID: /org/gnome/SessionManager/App1#011app-id:gnome-shell.desktop#011is-disabled:0#011is-conditionally-disabled:0
:Sep 16 23:43:42 t gnome-session[16837]: DEBUG(+): GsmAutostartApp: starting gnome-shell.desktop: command=/usr/bin/gnome-shell --gdm-mode startup-id=102bac30bcdecd1e2113162310206418400000168370000
:Sep 16 23:43:42 t gnome-session[16837]: DEBUG(+): GsmXSMPClient:   Program = 'gnome-shell'
:Sep 16 23:43:42 t dbus-daemon[1126]: ** (polkitd:1142): DEBUG: Added authentication agent for unix-session:/org/freedesktop/ConsoleKit/Session8 at name :1.367 [/usr/bin/gnome-shell --gdm-mode], object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale en_US.UTF-8
:Sep 16 23:43:48 t gnome-session[16837]: DEBUG(+): GsmXSMPClient: IceProcessMessagesIOError on '0xc078d0 [gnome-shell 102bac30bcdecd1e2113162310206418400000168370000]'
:Sep 16 23:43:48 t gnome-session[16837]: DEBUG(+): GsmXSMPClient:   queuing new SaveYourself for '0xc078d0 [gnome-shell 102bac30bcdecd1e2113162310206418400000168370000]'
:Sep 16 23:43:48 t gnome-session[16837]: DEBUG(+): GsmXSMPClient: xsmp_finalize (0xc078d0 [gnome-shell 102bac30bcdecd1e2113162310206418400000168370000])
:Sep 16 23:43:52 t kernel: [36827.161565] gnome-shell[17107] trap int3 ip:3b1284d333 sp:7fffa2b81540 error:0
:Sep 16 23:43:53 t abrt[17232]: saved core dump of pid 17107 (/usr/bin/gnome-shell) to /var/spool/abrt/ccpp-2011-09-16-23:43:52-17107.new/coredump (139390976 bytes)
:Sep 16 23:43:53 t gnome-session[17038]: WARNING: Application 'gnome-shell.desktop' killed by signal
:Sep 16 23:43:53 t dbus-daemon[1126]: dbus[1126]: [system] Rejected send message, 2 matched rules; type="method_return", sender=":1.0" (uid=0 pid=1030 comm="/usr/sbin/bluetoothd -n ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.393" (uid=10002 pid=17244 comm="/usr/bin/gnome-shell ")
:Sep 16 23:43:53 t dbus[1126]: [system] Rejected send message, 2 matched rules; type="method_return", sender=":1.0" (uid=0 pid=1030 comm="/usr/sbin/bluetoothd -n ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.393" (uid=10002 pid=17244 comm="/usr/bin/gnome-shell ")
:Sep 16 23:43:54 t dbus-daemon[1126]: ** (polkitd:1142): DEBUG: Added authentication agent for unix-session:/org/freedesktop/ConsoleKit/Session9 at name :1.395 [/usr/bin/gnome-shell], object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale en_US.UTF-8
:Sep 16 23:43:54 t kernel: [36828.468257] gnome-shell[17244] trap int3 ip:3b1284d333 sp:7fffbb24bf00 error:0
:Sep 16 23:43:54 t abrt[17266]: not dumping repeating crash in '/usr/bin/gnome-shell'
:Sep 16 23:43:54 t gnome-session[17038]: WARNING: Application 'gnome-shell.desktop' killed by signal
:Sep 16 23:43:54 t gnome-session[17038]: WARNING: App 'gnome-shell.desktop' respawning too quickly
:Sep 16 23:44:02 t gnome-session[17321]: DEBUG(+): fill: *** Launching helper 'bash -c "gnome-shell --help | grep -q gdm-mode && (gnome-shell --version | grep -q '3.1.90$' && false || true) && (mutter --version | grep -q '3.1.90$' && false || true) && /usr/libexec/gnome-session-check-accelerated"' to know if session is runnable
:Sep 16 23:44:02 t gnome-session[17321]: DEBUG(+): GsmUtil: Looking for file 'gnome-shell.desktop'
:Sep 16 23:44:02 t gnome-session[17321]: DEBUG(+): GsmUtil: found in XDG dirs: '/usr/share/gdm/greeter/applications/gnome-shell.desktop'
:Sep 16 23:44:02 t gnome-session[17321]: DEBUG(+): GsmUtil: Looking for file 'gnome-shell.desktop'
:Sep 16 23:44:02 t gnome-session[17321]: DEBUG(+): GsmUtil: found in XDG dirs: '/usr/share/gdm/greeter/applications/gnome-shell.desktop'
:Sep 16 23:44:02 t gnome-session[17321]: DEBUG(+): GsmManager: read /usr/share/gdm/greeter/applications/gnome-shell.desktop
:Sep 16 23:44:02 t gnome-session[17321]: DEBUG(+): GsmManager: adding required app gnome-shell.desktop
:Sep 16 23:44:02 t gnome-session[17321]: DEBUG(+): GsmManager:#011ID: /org/gnome/SessionManager/App1#011app-id:gnome-shell.desktop#011is-disabled:0#011is-conditionally-disabled:0
:Sep 16 23:44:04 t gnome-session[17321]: DEBUG(+): GsmAutostartApp: starting gnome-shell.desktop: command=/usr/bin/gnome-shell --gdm-mode startup-id=1030b3a74681db756131623104217835400000173210000
:Sep 16 23:44:04 t gnome-session[17321]: DEBUG(+): GsmXSMPClient:   Program = 'gnome-shell'
:Sep 16 23:44:04 t dbus-daemon[1126]: ** (polkitd:1142): DEBUG: Added authentication agent for unix-session:/org/freedesktop/ConsoleKit/Session10 at name :1.405 [/usr/bin/gnome-shell --gdm-mode], object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale en_US.UTF-8
:Sep 16 23:44:09 t gnome-session[17321]: DEBUG(+): GsmXSMPClient: IceProcessMessagesIOError on '0x10858d0 [gnome-shell 1030b3a74681db756131623104217835400000173210000]'
:Sep 16 23:44:09 t gnome-session[17321]: DEBUG(+): GsmXSMPClient:   queuing new SaveYourself for '0x10858d0 [gnome-shell 1030b3a74681db756131623104217835400000173210000]'
:Sep 16 23:44:09 t gnome-session[17321]: DEBUG(+): GsmXSMPClient: xsmp_finalize (0x10858d0 [gnome-shell 1030b3a74681db756131623104217835400000173210000])
:Sep 16 23:44:14 t kernel: [36848.602701] gnome-shell[17590] trap int3 ip:3b1284d333 sp:7ffffa647620 error:0
:Sep 16 23:44:14 t abrt[17710]: saved core dump of pid 17590 (/usr/bin/gnome-shell) to /var/spool/abrt/ccpp-2011-09-16-23:44:14-17590.new/coredump (139624448 bytes)
:Sep 16 23:44:14 t gnome-session[17522]: WARNING: Application 'gnome-shell.desktop' killed by signal
:Sep 16 23:44:15 t dbus[1126]: [system] Rejected send message, 2 matched rules; type="method_return", sender=":1.0" (uid=0 pid=1030 comm="/usr/sbin/bluetoothd -n ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.431" (uid=10002 pid=17722 comm="/usr/bin/gnome-shell ")
:Sep 16 23:44:15 t dbus-daemon[1126]: dbus[1126]: [system] Rejected send message, 2 matched rules; type="method_return", sender=":1.0" (uid=0 pid=1030 comm="/usr/sbin/bluetoothd -n ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.431" (uid=10002 pid=17722 comm="/usr/bin/gnome-shell ")
:Sep 16 23:44:15 t dbus-daemon[1126]: ** (polkitd:1142): DEBUG: Added authentication agent for unix-session:/org/freedesktop/ConsoleKit/Session11 at name :1.433 [/usr/bin/gnome-shell], object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale en_US.UTF-8
:Sep 16 23:44:15 t kernel: [36849.913503] gnome-shell[17722] trap int3 ip:3b1284d333 sp:7fffb2800560 error:0
:Sep 16 23:44:16 t abrt[17760]: saved core dump of pid 17722 (/usr/bin/gnome-shell) to /var/spool/abrt/ccpp-2011-09-16-23:44:15-17722.new/coredump (148422656 bytes)
:Sep 16 23:44:16 t gnome-session[17522]: WARNING: Application 'gnome-shell.desktop' killed by signal
:Sep 16 23:44:16 t gnome-session[17522]: WARNING: App 'gnome-shell.desktop' respawning too quickly
:Sep 16 23:44:23 t gnome-session[17837]: DEBUG(+): fill: *** Launching helper 'bash -c "gnome-shell --help | grep -q gdm-mode && (gnome-shell --version | grep -q '3.1.90$' && false || true) && (mutter --version | grep -q '3.1.90$' && false || true) && /usr/libexec/gnome-session-check-accelerated"' to know if session is runnable
:Sep 16 23:44:23 t gnome-session[17837]: DEBUG(+): GsmUtil: Looking for file 'gnome-shell.desktop'
:Sep 16 23:44:23 t gnome-session[17837]: DEBUG(+): GsmUtil: found in XDG dirs: '/usr/share/gdm/greeter/applications/gnome-shell.desktop'
:Sep 16 23:44:23 t gnome-session[17837]: DEBUG(+): GsmUtil: Looking for file 'gnome-shell.desktop'
:Sep 16 23:44:23 t gnome-session[17837]: DEBUG(+): GsmUtil: found in XDG dirs: '/usr/share/gdm/greeter/applications/gnome-shell.desktop'
:Sep 16 23:44:23 t gnome-session[17837]: DEBUG(+): GsmManager: read /usr/share/gdm/greeter/applications/gnome-shell.desktop
:Sep 16 23:44:23 t gnome-session[17837]: DEBUG(+): GsmManager: adding required app gnome-shell.desktop
:Sep 16 23:44:23 t gnome-session[17837]: DEBUG(+): GsmManager:#011ID: /org/gnome/SessionManager/App1#011app-id:gnome-shell.desktop#011is-disabled:0#011is-conditionally-disabled:0
:Sep 16 23:44:25 t gnome-session[17837]: DEBUG(+): GsmAutostartApp: starting gnome-shell.desktop: command=/usr/bin/gnome-shell --gdm-mode startup-id=1040cd8e48f4fd0335131623106318862800000178370000
:Sep 16 23:44:25 t gnome-session[17837]: DEBUG(+): GsmXSMPClient:   Program = 'gnome-shell'
:Sep 16 23:44:25 t dbus-daemon[1126]: ** (polkitd:1142): DEBUG: Added authentication agent for unix-session:/org/freedesktop/ConsoleKit/Session12 at name :1.444 [/usr/bin/gnome-shell --gdm-mode], object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale en_US.UTF-8
:Sep 16 23:44:32 t gnome-session[17837]: DEBUG(+): GsmXSMPClient: Client '0x1cf58d0 [gnome-shell 1040cd8e48f4fd0335131623106318862800000178370000]' received SaveYourselfDone(success = True)
:Sep 16 23:44:32 t gnome-session[17837]: DEBUG(+): GsmXSMPClient:   queuing new SaveYourself for '0x1cf58d0 [gnome-shell 1040cd8e48f4fd0335131623106318862800000178370000]'
:Sep 16 23:44:32 t gnome-session[17837]: DEBUG(+): GsmXSMPClient: IceProcessMessagesIOError on '0x1cf58d0 [gnome-shell 1040cd8e48f4fd0335131623106318862800000178370000]'
:Sep 16 23:44:32 t gnome-session[17837]: DEBUG(+): GsmXSMPClient: xsmp_finalize (0x1cf58d0 [gnome-shell 1040cd8e48f4fd0335131623106318862800000178370000])
:Sep 16 23:44:36 t kernel: [36870.917452] gnome-shell[18105] trap int3 ip:3b1284d333 sp:7fffd59f7500 error:0
:Sep 16 23:44:37 t abrt[18227]: saved core dump of pid 18105 (/usr/bin/gnome-shell) to /var/spool/abrt/ccpp-2011-09-16-23:44:36-18105.new/coredump (148135936 bytes)
:Sep 16 23:44:37 t gnome-session[18038]: WARNING: Application 'gnome-shell.desktop' killed by signal
:Sep 16 23:44:37 t dbus[1126]: [system] Rejected send message, 2 matched rules; type="method_return", sender=":1.0" (uid=0 pid=1030 comm="/usr/sbin/bluetoothd -n ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.470" (uid=10002 pid=18231 comm="/usr/bin/gnome-shell ")
:Sep 16 23:44:37 t dbus-daemon[1126]: dbus[1126]: [system] Rejected send message, 2 matched rules; type="method_return", sender=":1.0" (uid=0 pid=1030 comm="/usr/sbin/bluetoothd -n ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.470" (uid=10002 pid=18231 comm="/usr/bin/gnome-shell ")
:Sep 16 23:44:37 t dbus-daemon[1126]: ** (polkitd:1142): DEBUG: Added authentication agent for unix-session:/org/freedesktop/ConsoleKit/Session13 at name :1.472 [/usr/bin/gnome-shell], object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale en_US.UTF-8
:Sep 16 23:44:38 t kernel: [36872.274258] gnome-shell[18231] trap int3 ip:3b1284d333 sp:7ffffa82f8e0 error:0
:Sep 16 23:44:38 t abrt[18277]: saved core dump of pid 18231 (/usr/bin/gnome-shell) to /var/spool/abrt/ccpp-2011-09-16-23:44:38-18231.new/coredump (151781376 bytes)
:Sep 16 23:44:38 t gnome-session[18038]: WARNING: App 'gnome-shell.desktop' respawning too quickly
:Sep 16 23:44:38 t gnome-session[18038]: WARNING: Application 'gnome-shell.desktop' killed by signal

xsession_errors:
:    JS ERROR: !!!     fileName = '"/usr/share/gnome-shell/js/ui/status/network.js"'
:    JS ERROR: !!!     stack = '"([object _private_NMClient_DeviceWifi],[object _private_NMClient_AccessPoint])@/usr/share/gnome-shell/js/ui/status/network.js:1303
:    JS ERROR: !!!     fileName = '"/usr/share/gnome-shell/js/ui/status/network.js"'
:    JS ERROR: !!!     stack = '"([object _private_NMClient_DeviceWifi],[object _private_NMClient_AccessPoint])@/usr/share/gnome-shell/js/ui/status/network.js:1303
:    JS ERROR: !!!     fileName = '"/usr/share/gnome-shell/js/ui/status/network.js"'
:    JS ERROR: !!!     stack = '"([object _private_NMClient_DeviceWifi],[object _private_NMClient_AccessPoint])@/usr/share/gnome-shell/js/ui/status/network.js:1303
Comment 1 Charles R. Anderson 2011-09-17 09:59:28 EDT
Created attachment 523712 [details]
File: dso_list
Comment 2 Charles R. Anderson 2011-09-17 09:59:29 EDT
Created attachment 523713 [details]
File: maps
Comment 3 Charles R. Anderson 2011-09-17 09:59:31 EDT
Created attachment 523714 [details]
File: backtrace
Comment 4 Maurizio De Santis 2011-10-07 17:17:20 EDT
Package: gnome-shell-3.2.0-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
I wasn't do anthing special. I just logged in and opened Firefox.
Comment 5 Maurizio De Santis 2011-10-07 17:18:18 EDT
Package: gnome-shell-3.2.0-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
I wasn't do anthing special. I just logged in and opened Firefox.
Comment 6 DiEOrLivE 2011-10-10 20:59:00 EDT
Package: gnome-shell-3.2.0-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
i don't know
Comment 7 Dario Faggioli 2011-10-16 03:02:06 EDT
Package: gnome-shell-3.2.0-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
I get this when entering the shell and starting typing something. What happens is gnome-shell crashes and reloads itself automatically. Everything is fine if, instead of typing something to search for application, I locate and run it via mouse clicks. I have some shell extensions installed, but all are disabled:

$ rpm -qa | grep shell
gnome-shell-theme-gaia-1.0-1.fc16.noarch
gnome-shell-extension-alternative-status-menu-3.2.0-1.fc16.noarch
gnome-shell-extension-places-menu-3.2.0-1.fc16.noarch
gnome-shell-extension-workspacesmenu-0-1.fc16.noarch
gnome-shell-extension-gpaste-1.6-1.fc16.noarch
gnome-shell-theme-smooth-inset-1.0-1.fc16.noarch
gnome-shell-extension-auto-move-windows-3.2.0-1.fc16.noarch
gnome-shell-extension-native-window-placement-3.2.0-1.fc16.noarch
gnome-shell-extension-presentation-mode-0-0.2.gitc3ce6b2.fc16.noarch
gnome-shell-extension-remove-accessibility-icon-20110603-1.fc16.noarch
gnome-shell-extension-mediaplayers-0-0.2.git1225d49.fc16.noarch
gnome-shell-extension-user-theme-3.2.0-1.fc16.noarch
gnome-shell-theme-dark-glass-1.0-1.fc16.noarch
gnome-shell-extension-theme-selector-0.9-3.fc16.noarch
gnome-shell-extension-apps-menu-3.2.0-1.fc16.noarch
gnome-shell-extension-systemMonitor-3.2.0-1.fc16.noarch
gnome-shell-extension-cpu-temperature-0-0.1.git712153f.fc16.noarch
gnome-shell-extension-pomodoro-0-0.2.git13030cd.fc16.noarch
gnome-shell-extension-common-3.2.0-1.fc16.noarch
gnome-shell-3.2.0-2.fc16.x86_64
gnome-shell-extension-windowsNavigator-3.2.0-1.fc16.noarch
gnome-shell-extension-icon-manager-0-0.2.gite9deb2b.fc16.noarch
gnome-shell-theme-orta-1.0-1.fc16.noarch
gnome-shell-extension-drive-menu-3.2.0-1.fc16.noarch
Comment 8 Dietrich 2011-11-02 05:35:30 EDT
Package: gnome-shell-3.2.1-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
crash if no icon is selected in status menu and the alternative-status-menu is enabled.
Comment 9 Chichi Mbanje 2011-11-08 16:38:05 EST
Package: gnome-shell-3.2.1-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
installed and enabled gnome-shell-extension-alternative-status-menu and gnome-shell was completely crashing and refusing to let me log in. Had to log in console and uninstall extension-plugin to access desktop
Comment 10 perfectop 2011-11-09 04:57:07 EST
Package: gnome-shell-3.2.1-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Opening places-menu extension
Comment 11 perfectop 2011-11-10 18:30:46 EST
Package: gnome-shell-3.2.1-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Was launching a gnome-session with alternative-menu activated
Comment 12 thexman 2011-11-11 02:28:58 EST
Package: gnome-shell-3.2.1-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Log-in after first updating since installation
Comment 13 thexman 2011-11-11 02:37:07 EST
(In reply to comment #12)
> Package: gnome-shell-3.2.1-2.fc16
> Architecture: x86_64
> OS Release: Fedora release 16 (Verne)
> 
> Comment
> -----
> Log-in after first updating since installation

The alternative-menu was active before the update.
Comment 14 Lofton Alley 2011-11-11 17:50:40 EST
Package: gnome-shell-3.2.1-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
startup	crash
Comment 15 Jiri Skrabal 2011-11-14 03:19:28 EST
Package: gnome-shell-3.2.1-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
after packages update, system reboot and initial login gnome-shell crashed
Comment 16 Mikhail Lozhnikov 2011-11-17 12:58:05 EST
Package: gnome-shell-3.2.1-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
1. It crashes after login if I use alternative-status-menu gnome-shell extension.
Comment 17 Afriza N. Arief 2011-11-19 21:55:28 EST
Package: gnome-shell-3.2.1-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
I don't remember
Comment 18 Owen Taylor 2011-12-15 17:10:06 EST
*** Bug 759730 has been marked as a duplicate of this bug. ***
Comment 19 Owen Taylor 2011-12-15 17:11:51 EST
*** Bug 758182 has been marked as a duplicate of this bug. ***
Comment 20 Owen Taylor 2011-12-15 17:12:23 EST
*** Bug 757453 has been marked as a duplicate of this bug. ***
Comment 21 Owen Taylor 2011-12-16 11:44:07 EST
*** Bug 759102 has been marked as a duplicate of this bug. ***
Comment 22 Bruno Martins 2012-01-11 21:25:36 EST
Logging in. Disabling all extensions worked.

backtrace_rating: 4
Package: gnome-shell-3.2.1-2.fc16
OS Release: Fedora release 16 (Verne)
Comment 23 Bruno Martins 2012-01-11 21:25:44 EST
Created attachment 552268 [details]
File: backtrace
Comment 24 Bruno Martins 2012-01-11 21:27:22 EST
Logging in.

backtrace_rating: 4
Package: gnome-shell-3.2.1-2.fc16
OS Release: Fedora release 16 (Verne)
Comment 25 Bruno Martins 2012-01-11 21:27:29 EST
Created attachment 552269 [details]
File: backtrace
Comment 26 Gushchin Andrey 2012-03-20 04:04:53 EDT
1 go to left active conor. 
2. and find app 
3. g-shell freeze for long time
4. go to ctrl+alt+F2 shell and kill it


backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 27 Gushchin Andrey 2012-03-20 04:05:08 EDT
Created attachment 571307 [details]
File: backtrace
Comment 28 abrt-bot 2012-03-30 07:28:25 EDT
*** Bug 758635 has been marked as a duplicate of this bug. ***
Comment 29 abrt-bot 2012-03-30 07:28:39 EDT
*** Bug 759671 has been marked as a duplicate of this bug. ***
Comment 30 abrt-bot 2012-03-30 07:29:47 EDT
*** Bug 756469 has been marked as a duplicate of this bug. ***
Comment 31 Kjartan Maraas 2012-04-11 04:56:40 EDT
I was experimenting with vpnc VPN support in NetworkManager and closed the connect dialog when gnome-shell crashed.

backtrace_rating: 4
Package: gnome-shell-3.4.0-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 32 Carlos "casep" Sepulveda 2012-04-16 10:54:55 EDT
Open a existing vpn connection
Enter login details
Hit Enter


backtrace_rating: 4
Package: gnome-shell-3.4.0-1.fc17
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 33 Douglas Furlong 2012-04-24 14:38:43 EDT
Trying to connect to a VPN using network manager.

backtrace_rating: 4
Package: gnome-shell-3.4.1-3.fc17
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 34 Owen Taylor 2012-04-24 16:17:19 EDT
NOTE that comments 31-33 are crashes *unrelated* to the rest of this bug. Blah, blah, ABRT, blah, blah. If someone figures out how to reproduce this reliably without any extensions installed, please find me, and we can debug this.(owen on GimpNET IRC, #fedora-desktop)
Comment 35 Douglas Furlong 2012-04-25 03:50:57 EDT
Good morning Owen.

You've said that mine (33) is unrelated to this bug report, any way I can get it created as a new bug report, as it is entirely re-producible, and would be great if I could get it working :)

Thankfully in my case at least dropping back to the non-enhanced shell experience results in a working VPN connection via the NM applet, so it's not the end of the world, but still needs fixing.
Comment 36 Owen Taylor 2012-04-25 11:12:32 EDT
(In reply to comment #35)
> Good morning Owen.
> 
> You've said that mine (33) is unrelated to this bug report, any way I can get
> it created as a new bug report, as it is entirely re-producible, and would be
> great if I could get it working :)

It doesn't really help to make it a different bug report, since ABRT will still be adding duplicates on this bug report :-( 

If it's entirely reproducible, what I need for debugging is a bit tricky. 

 1) Download ~/fishsoup.net/xenv.sh
 2) Switch to a VT and log in
 3) At the command line, do:
  
 script shell-crash.log
  . ~/Downloads/xenv.sh    # the period is not a typo, you need it
  gdb --args gnome-shell --replace

 4) At the gdb prompt

  (gdb) run
  
 5) Switch back to the X VT, reproduce the bug
 6) Switch back to the other VT
 7) At the gdb prompt,

 (gdb) call gjs_dumpstack() 
 (gdb) quit
 
 8) Hit Control-D to exit the script session
 9) Attach the resulting shell-crash.log here

There is almost certainly a mistake or two in the above - if you hit some snag and can't figure out a way around it, let me know.

Note that I'm connecting to a VPN via the shell multiple times a day without ever encountering this - it's something particular to your VPN setup.
Comment 37 Owen Taylor 2012-04-25 11:18:21 EDT
(In reply to comment #36)

>  1) Download ~/fishsoup.net/xenv.sh

OK, that's definitely one mistake - I meant: http://fishsoup.net/tmp/xenv.sh
Comment 38 Douglas Furlong 2012-04-25 12:38:09 EDT
Created attachment 580217 [details]
My crash log :)
Comment 39 Owen Taylor 2012-04-25 12:59:21 EDT
(In reply to comment #38)
> Created attachment 580217 [details]
> My crash log :)

Hmmm, I was asssuming that the backtrace at least had some similarity, but it's really entirely unrelated.
Comment 40 Dan Winship 2012-04-25 13:07:27 EDT
you missed the "call gjs_dumpstack()" step...

also, does this happen the first time you try to connect to the vpn? Are you connecting over wifi? If so, does it have to prompt you for the wifi password, or is that saved? and what version of NetworkManager-glib do you have installed?
Comment 41 Douglas Furlong 2012-04-25 13:09:55 EDT
I am connecting to a VPN over WIFI, the password is saved, and I am actively connected at the time of attempting to connect to the VPN.

The VPN password is not saved, and I have to accept an SSL cert each time.

This happens each and every single time I attempt to connect to the VPN.

Name        : NetworkManager-glib
Epoch       : 1
Version     : 0.9.4.0
Release     : 7.git20120403.fc17
Comment 42 Carlos "casep" Sepulveda 2012-04-26 10:48:36 EDT
Trying to connect to a VPN (openconnect) using NetworkManager
Select the desired VPN
Enter USERNAME and Password
Hit Enter

It happens everytime I try to connect.

If use the openconnect command directly in the shell it doesn't happens.


backtrace_rating: 4
Package: gnome-shell-3.4.1-3.fc17
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 43 justafedorauser 2012-04-26 21:57:26 EDT
Laptop was closed (with screen set to turn off, but not standby or hibernate) for a few hours with Transmission, Abiword and Nautilus running. On returning and opening the laptop, not only was the screen NOT locked as it should be (from idle time), but it was prompting me for the network key to my wifi network which is stored and has no trouble connecting to automatically. As I type this I notice the hardware wifi switch was set to "off," so that may be related to that issue (still undesirable behavior...).

Anyway, when the screen came back on, I "Cancel"ed about a dozen windows asking for the wifi key, then noticed the alert about this crash.


backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 44 justafedorauser 2012-04-26 21:57:35 EDT
Created attachment 580617 [details]
File: backtrace
Comment 45 Vít Ondruch 2012-04-27 02:04:31 EDT
I was trying to connect to secured WiFi and in the same time I was fiddeling arount the wireless network settings. In one moment, the gnome applet was telling me "waiting for authorization", but the authorization dialog was nowhere. Therefore I tried to connect other network in attempt to get the dialog.

backtrace_rating: 4
Package: gnome-shell-3.4.1-3.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 46 Dan Winship 2012-04-27 10:16:54 EDT
http://koji.fedoraproject.org/koji/taskinfo?taskID=4028831 has packages that should fix the crash (eg, http://koji.fedoraproject.org/koji/getfile?taskID=4028832&name=gnome-shell-3.4.1-3.1.fc17.x86_64.rpm if you're on x86_64).

Assuming it does fix the crash, the next question is: do you end up with a warning in ~/.xsession-errors after trying to connect to the VPN, or does it connect without error? (Or, I guess, does it fail to connect, but not crash either...)
Comment 47 Douglas Furlong 2012-04-28 04:29:21 EDT
Morning Dan.

This appears to have resolved the issue, VPN is now connecting successfully, and there are no errors appearing within the .xsession-errors file.

Pity there isn't a "bug" for this particular issue that can be "closed" as this bug report seems to have LOTS of unrelated issues, or may be I'm wrong :\

Eithere, much obliged.

Doug
Comment 48 Vít Ondruch 2012-05-02 10:18:56 EDT
Login into the secured WiFi failed and asked once more for password. I canceled the password dialog when gnome-shell crashed.

backtrace_rating: 3
Package: gnome-shell-3.4.1-3.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 49 Michal Ambroz 2012-05-04 04:03:31 EDT
just connected to vpn

backtrace_rating: 4
Package: gnome-shell-3.4.1-3.fc17
OS Release: Fedora release 17 Alpha (Beefy Miracle)
Comment 50 Douglas Furlong 2012-05-08 02:46:46 EDT
Good morning Dan

I think we may have spoken to soon regarding this patch fixing the issue that I was having connecting to the VPN.

I started to notice some oddities with regards to it not connecting, and now it does not connect at all.

I have a suspicion that it has some thing to do with the SSL certificate interaction.

Previously when connecting, it would ask me to accept the SSL cert, however that is no longer the case, and it no longer connects.

There are no visual errors on screen though, and I'm unsure which logs would be of use.
Comment 51 Ankur Sinha (FranciscoD) 2012-05-09 05:51:44 EDT
There was a network outing, so wifi got disconnected. A dialog asking for a password was at the screen. Meanwhile, wifi had reconnected, so I hit cancel. This causes the dialog to close, and the screen to lock (since it had been unused for a while and should be locked). When it opened, i saw the abrt applet reporting the crash. 

backtrace_rating: 4
Package: gnome-shell-3.4.1-3.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 52 jonathan.eidsness 2012-05-11 14:07:29 EDT
Entered an incorrect key for a wireless network

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 53 jonathan.eidsness 2012-05-11 14:07:46 EDT
Created attachment 583892 [details]
File: backtrace
Comment 54 Xi Yang 2012-06-06 08:13:40 EDT
leave the computer stand alone for one hour

backtrace_rating: 4
Package: gnome-shell-3.4.1-5.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 55 Wolfgang Gradl 2012-06-20 09:22:33 EDT
After an unsuccessful attempt to connect to a WLAN, NetworkManager shows a dialog asking for a valid password.  Clicking on "dismiss" without entering a password crashes gnome-shell maybe 1 time in 10.



backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 56 Monty 2012-06-21 08:30:23 EDT
I was trying to log into the Red hat Guest network; it asked me for a password.  I didn't have the key handy, so i was looking it up on my desktop (after a few wrong guesses).

While I was searching for the key, the ask-for-password dialogs apparently kept piling up quite deep.  As I was clicking them away, GS crashed.


backtrace_rating: 4
Package: gnome-shell-3.4.1-5.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 57 Monty 2012-06-21 08:35:34 EDT
Failed authentication to Red Hat internal wireless network--- while I was typing in the auth information--- it mysteriously popped another authentication dialog on top of the one I was filling out

I clicked 'cancel' and GS crashed


backtrace_rating: 4
Package: gnome-shell-3.4.1-5.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 58 collura 2012-06-21 15:51:02 EDT
i hate that second dialog.  keep forgetting to report it.
sounds like the same thing i see when i randomly loose wireless. it requires a depowering to reset something before it accepts wifi password.  

the wierd thing is that the 2 dialogs are offset in time and theme.

the first window that pops up is the new gnome3 themed dialog but the second dialog shows up about 30s after the first and is is the old gnome2 themed dialog.  

its like there are 2 levels of machinations running and nomatter how many times i retype the wifi password in either dialog the wifi never reconnects until i power off and let capacitance drain (not just power cycle).  ugh.
Comment 59 Xi Yang 2012-06-25 01:02:09 EDT
the wireless password dialog appeared before the unlock screen dialog appears, then the gnome shell crashed.

backtrace_rating: 4
Package: gnome-shell-3.4.1-5.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 60 techtonik 2012-06-25 07:05:44 EDT
sudo lxc-create -n name
sudo lxc-start -n name

opened one more terminal, crash


backtrace_rating: 4
Package: gnome-shell-3.4.1-5.fc17
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 61 Stefan Friesel 2012-06-29 08:28:03 EDT
multiple wifi-password-required dialogs popped up behind one another. crash when closing the second one by clicking abort.

backtrace_rating: 4
Package: gnome-shell-3.4.1-5.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 62 ms43 2012-08-08 18:24:18 EDT
leaving laptop alone for hours, network-manager lost wifi,
displaying an annoying prompt asking for the WPA key,
after returning to laptop clicked ok on that,
_then_ screen saver kicked in (hours late) and gnome-shell crashed


backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 63 kuchiman 2012-08-14 16:03:33 EDT
Try to connect to DSL, failed. A window gnome-shell prompts you to enter a login and password. Pressed cancel. Shell hanging, missing panels and all controls, leaving only the wallpaper. Error consistently repeated rebooting does not help.

backtrace_rating: 4
Package: gnome-shell-3.4.1-5.fc17
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 64 Peter Robinson 2012-08-22 06:38:55 EDT
gnome-shell crash

backtrace_rating: 4
Package: gnome-shell-3.4.1-5.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 65 Han Pilmeyer 2012-08-25 09:46:57 EDT
NetworkManager is trying to reconnect to my WiFi and requesting a password; It's prompting for the password several times, i.e. once with a "dark window" and one or more times with a "light colored window". Since I'm not near the laptop, I do not answer the prompt. The screen dims after a while. When I return to the laptop and try to reactive the screen, I get the prompts for the WiFi password before I get the prompt for the screen lock password. After unlocking the screen it is clear that Gnome Shell has crashed.

backtrace_rating: 4
Package: gnome-shell-3.4.1-5.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 66 Aymen Belkhiria 2012-09-12 03:28:15 EDT
This was after hibernate my Laptop

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 67 Honza Brázdil 2012-09-19 06:45:37 EDT
I was trying to connect to wifi

backtrace_rating: 4
Package: gnome-shell-3.4.1-5.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 68 Alessio 'Spinus' Moscatello 2012-10-01 17:37:16 EDT
I've installed several Gnome Shell extensions...one or some of them are frequently crashing...and gnome shell automatically disables all the extensions: this time some process of the shell crashed.

backtrace_rating: 4
Package: gnome-shell-3.4.1-5.fc17
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 69 Martin Wilck 2012-10-16 10:47:28 EDT
This happened when after I tried to activate a WLAN connection in the NetworkManager-applet.
The first time the gnome shell was simply restarted. I tried to connect again, and the gnome shell crashed.


backtrace_rating: 4
Package: gnome-shell-3.4.1-6.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 70 Vadim Rutkovsky 2012-11-13 16:38:58 EST
Probably caused by using dash-to-dock extension branch gnome-3.6-wip

backtrace_rating: 4
Package: gnome-shell-3.6.1-3.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 71 kotofos 2012-11-23 07:37:14 EST
Leaving laptop alone for hours, network-manager lost wifi. Mmultiple wifi-password-required dialogs popped up behind one another. Crash when closing all of them.
Comment 72 Tadej Janež 2013-01-11 08:15:50 EST
I don't know exactly what happened, but it was very similar to comment #71:
NetworkManager was trying to re-connect to a WiFi network and it asked for a password. Then gnome-shell crashed. ABRT directed me to this bug report.

Version: gnome-shell-3.4.1-6.fc17.x86_64
Comment 73 Fedora End Of Life 2013-01-16 11:20:52 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 74 Mrchal 2013-01-30 11:36:43 EST
I want to add banshee in to favorites aplication on the left panel.

backtrace_rating: 4
Package: gnome-shell-3.6.2-6.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 75 Tadej Janež 2013-02-13 05:03:09 EST
Bumping version to F-18 since it is still relevant (see comment #74)
Comment 76 Fedora End Of Life 2013-02-13 14:54:11 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 77 Tadej Janež 2013-02-19 10:23:46 EST
Re-opened since it appears to be still relevant in F-18 (see comment #74).
Comment 78 Fedora End Of Life 2013-12-21 03:28:52 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 79 Fedora End Of Life 2014-02-05 06:49:56 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.